Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.motifDiscovery
Class MotifDiscovererToolBox

    java.lang.Object
      de.jstacs.motifDiscovery.MotifDiscovererToolBox

Direct Known Subclasses:
  MutableMotifDiscovererToolbox

    public class MotifDiscovererToolBox

extends Object

This class contains static methods for the `MotifDiscoverer`.

Author:
  Jens Keilwagen
See Also:
  `MotifDiscoverer`

Constructor Summary
`MotifDiscovererToolBox()`

Method Summary
`static ImageResult` | `plot(MotifDiscoverer motifDisc, int component, int motif, Sequence sequence, int startpos, REnvironment r, int width, int height, MotifDiscoverer.KindOfProfile kind)` This method creates a simple plot of the profile of scores for a sequence and a start position.
`static ImageResult` | `plotAndAnnotate(MotifDiscoverer motifDisc, int component, int motif, Sequence sequence, int startpos, REnvironment r, int width, int height, double yMin, double yMax, double threshold, MotifDiscoverer.KindOfProfile kind)` This method creates a plot of the profile of scores for a sequence and a start position and annotates bindings sites in the plot that have a higher score than `threshold`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MotifDiscovererToolBox

    public MotifDiscovererToolBox()

Method Detail

### plot

    public static ImageResult plot(MotifDiscoverer motifDisc,
                                   int component,
                                   int motif,
                                   Sequence sequence,
                                   int startpos,
                                   REnvironment r,
                                   int width,
                                   int height,
                                   MotifDiscoverer.KindOfProfile kind)
                            throws Exception

  This method creates a simple plot of the profile of scores for a sequence and a start position.

  Parameters:
    `motifDisc` - the `MotifDiscoverer`
    `component` - the index of the component
    `motif` - the index of the motif
    `sequence` - the given sequence
    `startpos` - the start position in the sequence
    `r` - the R environment that is used for drawing the plot
    `width` - the width of the image in pixel
    `height` - the height of the image in pixel
    `kind` - the kind of the score profile
  Returns:
    an image packed in an `ImageResult`
  Throws:
    `Exception` - if something went wrong

### plotAndAnnotate

    public static ImageResult plotAndAnnotate(MotifDiscoverer motifDisc,
                                              int component,
                                              int motif,
                                              Sequence sequence,
                                              int startpos,
                                              REnvironment r,
                                              int width,
                                              int height,
                                              double yMin,
                                              double yMax,
                                              double threshold,
                                              MotifDiscoverer.KindOfProfile kind)
                                       throws Exception

  This method creates a plot of the profile of scores for a sequence and a start position and annotates bindings sites in the plot that have a higher score than `threshold`.

  Parameters:
    `motifDisc` - the `MotifDiscoverer`
    `component` - the index of the component
    `motif` - the index of the motif
    `sequence` - the given sequence
    `startpos` - the start position in the sequence
    `r` - the R environment that is used for drawing the plot
    `width` - the width of the image in pixel
    `height` - the height of the image in pixel
    `yMin` - the minimal value of the y-axis
    `yMax` - the maximal value of the y-axis
    `threshold` - the threshold for the annotation
    `kind` - the kind of the score profile
  Returns:
    an image packed in a result
  Throws:
    `Exception` - if some thing went wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD